FUNCTION LEFT(3)

NAME
boost::proto::left - Return the left child of the specified binary Proto expression.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename Expr>
  typename proto::result_of::left< Expr & >::type left(Expr & expr);
template<typename Expr>
  typename proto::result_of::left< Expr const & >::type
  left(Expr const & expr);

DESCRIPTION

Return the left child of the specified binary Proto expression. The child is returned by reference.

Requires:
    proto::is_expr<Expr>::value is true.

    2 == Expr::proto_arity::value

Returns:
    A reference to the left child of expr.

Throws:
    Will not throw.